
## eLLG databases
This project contains supporting data files for the eLLG paper, Acta Cryst. (2018). D74, 245–255, https://doi.org/10.1107/S2059798318004357, and the MR-atom paper, Proc. Natl Acad. Sci. USA, 114, 3637–3641 https://www.pnas.org/doi/full/10.1073/pnas.1701640114.

## Description
The contents are in-house SQLite databases, Excel files, SQL query scripts and Mathematica notebooks
for generating some graphs in the two papers.

Large scale MR calculations were done with in-house python scripts based on 
https://gitlab.developers.cam.ac.uk/scm/haematology/readgroup/phaser/-/blob/master/phaser/BLASTrunner.py storing results in SQLite databases. Databases were manually curated with SQL statements as found necessary from https://gitlab.developers.cam.ac.uk/scm/haematology/readgroup/ellg-databases/-/blob/main/SQLscripts/PostProcessDatabase.sql
to produce the SQLite database files stored as compressed zip files in https://gitlab.developers.cam.ac.uk/scm/haematology/readgroup/ellg-databases/-/tree/main/SQLiteDatabases.


## Usage
The compressed SQLite database files must be uncompressed before opening these with DB Browser for SQLite, https://sqlitebrowser.org/, or the command line tool SQLite, https://www.sqlite.org/index.html.

The SQlite databases may expect the SQLite extension from https://github.com/Oeffner/SQLiteHistograms to be loaded when querying the databases. Without this extension it is still possible to create ratio histograms for figures by using explicit SQL queries as detailed in https://gitlab.developers.cam.ac.uk/scm/haematology/readgroup/ellg-databases/-/blob/main/SQLscripts/PythonGraphsFromSQL.sql. But these are cumbersome and very slow to execute.

The most important tables in the databases are the AllProteins table for the MR calculations on monomers in the files Completeresults*.db.zip.
For the dimer calculations additional tables of interest are the TwoComponentRealMR or TwoComponentContrivedMR in the files 2Comp*.db.zip

The table for Fig.1 in the eLLG paper can be generated by querying a database like 2CompResMR1stSol_svn6515.db (unzip the file  https://gitlab.developers.cam.ac.uk/scm/haematology/readgroup/ellg-databases/-/blob/main/SQLiteDatabases/2CompResMR1stSol_svn6515.db.zip ) with a SQL query such as:
```
SELECT * FROM RATIOHISTO("TwoComponentRealMR", "LLG1", 20, 0, 120, "CC1", 0.2);
```
 
The table for Fig.1 in the MR-atom paper can be created with a query 
such as: 
```
CREATE TEMP VIEW AllProteinsP1 AS SELECT * FROM AllProteins WHERE SpaceGroup="P 1";
CREATE TEMP VIEW AllProteinsPolar AS SELECT * FROM AllProteins WHERE IsPolarSpacegroup=1 AND SpaceGroup != "P 1";
CREATE TEMP VIEW AllProteinsNonPolar AS SELECT * FROM AllProteins WHERE IsPolarSpacegroup=0;
SELECT p1.bin, p1.ratio AS P1ratio, polar.ratio AS polratio, nonpolar.ratio AS nonpolratio 
FROM RATIOHISTO("AllProteinsP1", "LLGvrms", 20, 0, 100, "CCglobal", 0.2) P1, 
  RATIOHISTO("AllProteinsPolar", "LLGvrms", 20, 0, 100, "CCglobal", 0.2) polar, 
  RATIOHISTO("AllProteinsNonPolar", "LLGvrms", 20, 0, 100, "CCglobal", 0.2) nonpolar
WHERE p1.bin = polar.bin AND p1.bin=nonpolar.bin;
DROP VIEW AllProteinsP1;
DROP VIEW AllProteinsPolar;
DROP VIEW AllProteinsNonPolar;
```
on the database file https://gitlab.developers.cam.ac.uk/scm/haematology/readgroup/ellg-databases/-/blob/main/SQLiteDatabases/Completeresults.db.zip



## Authors and acknowledgment
This work was funded by National Institutes of Health (grant No. P01GM063210 to Randy J. Read).


## Project status
This project has completed and files here serve as a public archive.